Questionable specs for the new Mac eTax software

The ATO has finally released their Mac eTax software, but the computer requirement seem a little strange.

I understand having one of the last 3 Mac OS X versions (10.6, 10.7 10.8) as a requirement. But the hardware requirements seem a little strange. Have you tried running any of these 3 OSs on a Pentium?

#MacOSX 10.8 on a Pentium? Not sure you could even get 10.6 to run on one #ATO

Related Posts:

This entry was posted in Tech and tagged , , , , . Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *